Bug 1758737 - DNF completed with "Segmentation fault (core dumped)" message
Summary: DNF completed with "Segmentation fault (core dumped)" message
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libdnf
Version: rawhide
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1758850 1759204 1761282 1762126 1765718 (view as bug list)
Depends On:
Blocks: 1758850
TreeView+ depends on / blocked
 
Reported: 2019-10-05 07:27 UTC by Mikhail
Modified: 2019-10-31 07:42 UTC (History)
14 users (show)

Fixed In Version: libdnf-0.35.5-4.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-27 01:09:23 UTC
Type: Bug


Attachments (Terms of Use)
dnf.log (482.07 KB, text/plain)
2019-10-05 07:27 UTC, Mikhail
no flags Details
dnf.rpm.log (1006.28 KB, text/plain)
2019-10-05 07:28 UTC, Mikhail
no flags Details
hawkey.log (2.66 MB, text/plain)
2019-10-05 07:29 UTC, Mikhail
no flags Details
all dnf output in the console (487.03 KB, text/plain)
2019-10-05 07:29 UTC, Mikhail
no flags Details
screenshot (646.26 KB, image/png)
2019-10-05 07:35 UTC, Mikhail
no flags Details
all dnf output in the console (465.51 KB, text/plain)
2019-10-07 15:31 UTC, Mikhail
no flags Details
dnf.log (864.52 KB, text/plain)
2019-10-07 15:36 UTC, Mikhail
no flags Details
dnf.rpm.log (7.06 KB, text/plain)
2019-10-07 15:36 UTC, Mikhail
no flags Details
hawkey.log (2.68 MB, text/plain)
2019-10-07 15:37 UTC, Mikhail
no flags Details
# PYTHONMALLOC=malloc valgrind /usr/bin/python3 /usr/bin/dnf-3 upgrade --refresh -v --exclude=mutter (356.32 KB, text/plain)
2019-10-10 04:14 UTC, Mikhail
no flags Details
# PYTHONMALLOC=malloc valgrind /usr/bin/python3 /usr/bin/dnf-3 upgrade --refresh -v (181.14 KB, text/plain)
2019-10-11 09:11 UTC, Mikhail
no flags Details

Description Mikhail 2019-10-05 07:27:54 UTC
Created attachment 1622666 [details]
dnf.log

Description of problem:
# dnf upgrade --refresh -v --exclude=mutter
Loaded plugins: builddep, changelog, config-manager, copr, debug, debuginfo-install, download, generate_completion_cache, needs-restarting, playground, repoclosure, repodiff, repograph, repomanage, reposync
DNF version: 4.2.11
cachedir: /var/cache/dnf
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Unknown configuration value: failovermethod=priority in /etc/yum.repos.d/fedora-updates-modular.repo; Configuration: OptionBinding with id "failovermethod" does not exist
Fedora - Modular Rawhide - Developmental packages for the next Fedora release  25 kB/s |  16 kB     00:00    
reviving: 'rawhide-modular' can be revived - metalink checksums match.
rawhide-modular: using metadata from Fri 04 Oct 2019 11:19:19 PM +05.
Fedora - Rawhide - Developmental packages for the next Fedora release          26 kB/s |  16 kB     00:00    
reviving: 'rawhide' can be revived - metalink checksums match.
rawhide: using metadata from Fri 04 Oct 2019 11:20:12 PM +05.
google-chrome-unstable                                                         16 kB/s | 1.3 kB     00:00    
reviving: 'google-chrome-unstable' can be revived - repomd matches.
google-chrome-unstable: using metadata from Fri 04 Oct 2019 11:00:59 PM +05.
local repo                                                                     3.0 MB/s | 3.0 kB     00:00    
reviving: 'local-repo' can be revived - repomd matches.
local-repo: using metadata from Sun 29 Sep 2019 11:20:52 PM +05.
local repo2                                                                    2.9 MB/s | 3.0 kB     00:00    
reviving: 'local-repo2' can be revived - repomd matches.
local-repo2: using metadata from Sun 01 Sep 2019 07:03:57 PM +05.
RPM Fusion for Fedora Rawhide - Free                                           28 kB/s |  12 kB     00:00    
reviving: 'rpmfusion-free-rawhide' can be revived - metalink checksums match.
rpmfusion-free-rawhide: using metadata from Thu 03 Oct 2019 12:59:06 PM +05.
RPM Fusion for Fedora Rawhide - Nonfree                                        44 kB/s |  12 kB     00:00    
reviving: 'rpmfusion-nonfree-rawhide' can be revived - metalink checksums match.
rpmfusion-nonfree-rawhide: using metadata from Fri 04 Oct 2019 11:49:39 AM +05.
Completion plugin: Generating completion cache...
Excludes in dnf.conf: mutter
--> Starting dependency resolution
---> Package kernel.x86_64 5.4.0-0.rc1.git0.1.fc32 will be installed
---> Package kernel-core.x86_64 5.4.0-0.rc1.git0.1.fc32 will be installed

[cutted output]

  Verifying        : xen-licenses-4.12.1-2.fc32.x86_64                     584/590
  Verifying        : google-chrome-unstable-79.0.3928.4-1.x86_64           585/590
  Verifying        : google-chrome-unstable-79.0.3921.0-1.x86_64           586/590
  Verifying        : kernel-5.4.0-0.rc0.git3.1.fc32.x86_64                 587/590
  Verifying        : kernel-core-5.4.0-0.rc0.git3.1.fc32.x86_64            588/590
  Verifying        : kernel-modules-5.4.0-0.rc0.git3.1.fc32.x86_64         589/590
  Verifying        : kernel-modules-extra-5.4.0-0.rc0.git3.1.fc32.x86_64   590/590
Completion plugin: Generating completion cache...
Segmentation fault (core dumped)
[root@localhost ~]#

Comment 1 Mikhail 2019-10-05 07:28:29 UTC
Created attachment 1622667 [details]
dnf.rpm.log

Comment 2 Mikhail 2019-10-05 07:29:03 UTC
Created attachment 1622668 [details]
hawkey.log

Comment 3 Mikhail 2019-10-05 07:29:51 UTC
Created attachment 1622669 [details]
all dnf output in the console

Comment 4 Mikhail 2019-10-05 07:35:19 UTC
Created attachment 1622670 [details]
screenshot

Comment 5 Mikhail 2019-10-06 08:12:48 UTC
# coredumpctl | tail
Tue 2019-09-10 00:26:26 +05    5550  1000  1000   6 missing   /usr/bin/python3.8
Tue 2019-09-10 00:26:45 +05    5920  1000  1000   6 missing   /usr/bin/gnome-control-center
Wed 2019-09-11 22:58:31 +05    4664  1000  1000  11 missing   /home/mikhail/.local/share/Steam/ubuntu12_32/steam
Sat 2019-09-14 15:07:26 +05    5546  1000  1000  11 missing   /home/mikhail/.local/share/Steam/ubuntu12_32/steam
Thu 2019-09-19 20:43:58 +05  320123     0     0   6 missing   /usr/bin/grub2-editenv
Fri 2019-09-20 23:19:38 +05    9525  1000  1000  11 missing   /home/mikhail/.local/share/Steam/steamapps/common/Borderlands 2/Borderlands2
Fri 2019-09-20 23:19:55 +05    9610  1000  1000   6 missing   /home/mikhail/.local/share/Steam/steamapps/common/Borderlands 2/Borderlands2
Sat 2019-09-28 13:26:11 +05   33700  1000  1000   4 missing   /opt/google/chrome-unstable/chrome
Wed 2019-10-02 17:45:45 +05    3140  1000  1000   4 missing   /opt/google/chrome-unstable/chrome
Sat 2019-10-05 12:16:15 +05  741919     0     0  11 present   /usr/bin/python3.8

# coredumpctl gdb 741919
           PID: 741919 (dnf)
           UID: 0 (root)
           GID: 0 (root)
        Signal: 11 (SEGV)
     Timestamp: Sat 2019-10-05 12:16:15 +05 (24h ago)
  Command Line: /usr/bin/python3 /usr/bin/dnf upgrade --refresh -v --exclude=mutter
    Executable: /usr/bin/python3.8
 Control Group: /user.slice/user-1000.slice/user@1000.service/gnome-terminal-server.service
          Unit: user@1000.service
     User Unit: gnome-terminal-server.service
         Slice: user-1000.slice
     Owner UID: 1000 (mikhail)
       Boot ID: c4022ea6add5498ea43c164d8284baec
    Machine ID: c93463d9fe5745b0b40c4af18440683e
      Hostname: localhost.localdomain
       Storage: /var/lib/systemd/coredump/core.dnf.0.c4022ea6add5498ea43c164d8284baec.741919.1570259775000000000000.lz4
       Message: Process 741919 (dnf) of user 0 dumped core.
                
                Stack trace of thread 741919:
                #0  0x00007f3bee284595 __memcpy_avx_unaligned (libc.so.6)
                #1  0x00007f3bee1a4988 _IO_default_xsputn (libc.so.6)
                #2  0x00007f3bee1a2b1b _IO_file_xsputn@@GLIBC_2.2.5 (libc.so.6)
                #3  0x00007f3bee197281 _IO_fwrite (libc.so.6)
                #4  0x00007f3bdd302c57 _ZL11log_handlerPKc14GLogLevelFlagsS0_Pv (_hawkey.so)
                #5  0x00007f3bdffae9ab n/a (/usr/lib64/libglib-2.0.so.0.6200.0 (deleted))

GNU gdb (GDB) Fedora 8.3.50.20190924-27.fc32
Copyright (C) 2019 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
Type "show copying" and "show warranty" for details.
This GDB was configured as "x86_64-redhat-linux-gnu".
Type "show configuration" for configuration details.
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>.
Find the GDB manual and other documentation resources online at:
    <http://www.gnu.org/software/gdb/documentation/>.

For help, type "help".
Type "apropos word" to search for commands related to "word"...
Reading symbols from /usr/bin/python3.8...
Reading symbols from /usr/lib/debug/usr/bin/python3.8-3.8.0~rc1-1.fc32.x86_64.debug...

warning: core file may not match specified executable file.
[New LWP 741919]

warning: .dynamic section for "/usr/lib64/python3.8/lib-dynload/_hashlib.cpython-38-x86_64-linux-gnu.so" is not at the expected address (wrong library or version mismatch?)

warning: .dynamic section for "/usr/lib64/python3.8/lib-dynload/_sqlite3.cpython-38-x86_64-linux-gnu.so" is not at the expected address (wrong library or version mismatch?)
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/lib64/libthread_db.so.1".
Core was generated by `/usr/bin/python3 /usr/bin/dnf upgrade --refresh -v --exclude=mutter'.
Program terminated with signal SIGSEGV, Segmentation fault.
#0  __memmove_avx_unaligned () at ../sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S:144
144		VMOVU	%VEC(0), (%rdi)
(gdb) thread apply all bt full

Thread 1 (Thread 0x7f3bedc38740 (LWP 741919)):
#0  __memmove_avx_unaligned () at ../sysdeps/x86_64/multiarch/memmove-vec-unaligned-erms.S:144
#1  0x00007f3bee1a4988 in __GI__IO_default_xsputn (n=<optimized out>, data=<optimized out>, f=<optimized out>) at genops.c:386
        count = 46
        s = <optimized out>
        more = 46
        s = 0xd58bc6045e5e <error: Cannot access memory at address 0xd58bc6045e5e>
        more = 46
#2  __GI__IO_default_xsputn (f=f@entry=0x564fd7b3bd70, data=data@entry=0x564fd7d63730, n=n@entry=46) at genops.c:370
        s = 0x564fd7d63730 "DEBUG Oct-05 12:16:15 Architecture is: x86_64\n"
        more = 46
#3  0x00007f3bee1a2b1b in _IO_new_file_xsputn (n=46, data=<optimized out>, f=<optimized out>) at fileops.c:1269
        block_size = <optimized out>
        s = 0x564fd7d63730 "DEBUG Oct-05 12:16:15 Architecture is: x86_64\n"
        to_do = 46
        must_flush = <optimized out>
        count = <optimized out>
        s = <optimized out>
        to_do = 46
#4  _IO_new_file_xsputn (f=0x564fd7b3bd70, data=<optimized out>, n=46) at fileops.c:1201
        s = <optimized out>
        to_do = 46
#5  0x00007f3bee197281 in __GI__IO_fwrite (buf=buf@entry=0x564fd7d63730, size=46, count=count@entry=1, fp=fp@entry=0x564fd7b3bd70) at libioP.h:948
        _IO_acquire_lock_file = 0x564fd7b3bd70
        request = 46
        written = 0
#6  0x00007f3bdd302c57 in log_handler(gchar const*, GLogLevelFlags, gchar const*, gpointer) (log_domain=<optimized out>, log_level=G_LOG_LEVEL_DEBUG, message=<optimized out>, user_data=0x564fd7b3bd70) at /usr/src/debug/libdnf-0.35.5-2.fc32.x86_64/python/hawkey/sack-py.cpp:186
        t = 1570259775
        tm = {tm_sec = 15, tm_min = 16, tm_hour = 12, tm_mday = 5, tm_mon = 9, tm_year = 119, tm_wday = 6, tm_yday = 277, tm_isdst = 0, tm_gmtoff = 18000, tm_zone = 0x564fd316ad70 "+05"}
        timestr = "Oct-05 12:16:15 \000\372s\027\375\177\000\000\000"
        log_out = 0x564fd7b3bd70
        msg = 0x564fd7d63730 "DEBUG Oct-05 12:16:15 Architecture is: x86_64\n"
#7  0x00007f3bdffae9ab in g_logv (log_domain=0x7f3be020a1ec "libdnf", log_level=G_LOG_LEVEL_DEBUG, format=<optimized out>, args=<optimized out>) at ../glib/gmessages.c:1373
        domain = 0x0
        data = 0x564fd7b3bd70
        depth = 1
        log_func = 0x7f3bdd302ba0 <log_handler(gchar const*, GLogLevelFlags, gchar const*, gpointer)>
        domain_fatal_mask = <optimized out>
        masquerade_fatal = 0
        test_level = <optimized out>
        was_fatal = 0
        was_recursion = 0
        msg = 0x564fd7917a70 "Architecture is: x86_64"
        msg_alloc = 0x564fd7917a70 "Architecture is: x86_64"
        i = 7
#8  0x00007f3bdffaeb93 in g_log (log_domain=log_domain@entry=0x7f3be020a1ec "libdnf", log_level=log_level@entry=G_LOG_LEVEL_DEBUG, format=format@entry=0x7f3be020b5c0 "Architecture is: %s") at ../glib/gmessages.c:1416
        args = {{gp_offset = 32, fp_offset = 48, overflow_arg_area = 0x7ffd1773fa40, reg_save_area = 0x7ffd1773f980}}
#9  0x00007f3be014ef24 in dnf_sack_set_arch(DnfSack*, gchar const*, GError**) (sack=<optimized out>, value=<optimized out>, error=error@entry=0x7ffd1773fa90) at /usr/src/debug/libdnf-0.35.5-2.fc32.x86_64/libdnf/dnf-sack.cpp:824
        priv = 0x564fd3711290
        pool = 0x564fd7d4b810
--Type <RET> for more, q to quit, c to continue without paging--c
        arch = 0x7f3bdcfe4960 "x86_64"
        detected = 0x0
#10 0x00007f3bdd301475 in sack_init(_SackObject*, PyObject*, PyObject*) (self=0x7f3bda473940, args=<optimized out>, kwds=<optimized out>) at /usr/src/debug/libdnf-0.35.5-2.fc32.x86_64/python/hawkey/sack-py.cpp:265
        error = 0x0
        custom_class = <__ at remote 0x564fd3581dd0>
        custom_val = <BaseCli(_closed=0, _conf=<MainConf(_config=<ConfigMain(this=<SwigPyObject at remote 0x7f3be0c4af60>) at remote 0x7f3be0a75d90>, _section='main', substitutions=<Substitutions at remote 0x7f3bddb267c0>) at remote 0x7f3be0b65af0>, _goal=<Goal(group_members=< frame>
 at remote 0x7f3bdcfcd660>) at remote 0x7f3be0861d80>, _repo_persistor=<RepoPersistor(cachedir='/var/cache/dnf', db_path='/var/cache/dnf/expired_repos.json', expired_to_add=< frame>
 at remote 0x7f3bdce98c80>, reset_last_makecache=0) at remote 0x7f3bdceaed90>, _sack=<Sack at remote 0x7f3bdce376a0>, _transaction=<RPMTransaction(history=<SwdbInterface(releasever='32', _rpm=<...>, _group=<GroupPersistor(history=<...>, _installed={}, _removed={}, _upgraded={}) at remote 0x7f3bda4440a0>, _env=<EnvironmentPersistor(history=<...>, _installed={}, _removed={}, _upgraded={}) at remote 0x7f3bda444250>, _addon_data=<terator at remote 0x7f3bee0f7980>, _swdb=<Swdb(this=<SwigPyObject at remote 0x7f3bdce4bdb0>) at remote 0x7f3bdce4e220>, _db_dir='/var/lib/dnf', _out...(truncated)
        cachedir = {isNull = false, cppString = "/var/cache/dnf"}
        arch = 0x7f3bdcfe4960 "x86_64"
        rootdir = 0x7f3be0ba2060 "/"
        cachedir_py = '/var/cache/dnf'
        logfile_py = '/var/log/hawkey.log'
        make_cache_dir = 0
        debug_object = 1
        all_arch = 0
        kwlist = {0x7f3bdd308d26 "cachedir", 0x7f3bdd308d6d "arch", 0x7f3bdd308d2f "rootdir", 0x7f3bdd308d37 "pkgcls", 0x7f3bdd308d3e "pkginitval", 0x7f3bdd308d49 "make_cache_dir", 0x7f3bdd308d58 "logfile", 0x7f3bdd308d60 "logdebug", 0x7f3bdd308d69 "all_arch", 0x0}
        debug = true
        flags = 0
        __PRETTY_FUNCTION__ = "int sack_init(_SackObject*, PyObject*, PyObject*)"
#11 0x00007f3bedf529ab in stack_effect (opcode=<optimized out>, oparg=-673827024, jump=46) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Python/compile.c:1066
#12 0x00007f3bedf529a0 in stack_effect (opcode=<optimized out>, oparg=-673827024, jump=46) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Python/compile.c:1125
#13 0x00007f3bededcec6 in chain_next (lz=0x7f3bee0ff440 <_PyIO_str_getstate>) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Modules/itertoolsmodule.c:1972
        item = <unknown at remote 0x2e>
#14 0x00007f3bee0ff440 in _PyIO_str_getstate () at /lib64/libpython3.8.so.1.0
#15 0x00007f3bdd144220 in  ()
#16 0x00007f3bdce55fd0 in  ()
#17 0x0000564fd316c390 in  ()
#18 0x00007f3bedf3f334 in _PyEval_EvalFrameDefault (f=<e at remote 0x7f3bdce55e40>, throwflag=0) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Python/ceval.c:1160
        stack_pointer = <optimized out>
        next_instr = 0x7f3bee0c8170 <_Py_SwappedOp+16>
        opcode = <optimized out>
        oparg = <optimized out>
        fastlocals = <optimized out>
        freevars = 0x7f3bdce55fc0
        retval = 0x0
        runtime = 0x7f3bee0ff4a0 <_PyRuntime>
        tstate = 0x564fd316c390
        ceval = 0x7f3bee0ff6e8 <_PyRuntime+584>
        eval_breaker = 0x7f3bee0ff6f0 <_PyRuntime+592>
        co = <optimized out>
        instr_ub = -1
        instr_lb = 0
        instr_prev = -1
        first_instr = 0x7f3bdd144210
        names = ('super', 'Sack', '__init__')
        consts = (<terator at remote 0x7f3bee0f7980>,)
        co_opcache = <optimized out>
        opcode_targets = {0x15b, 0x0, 0x0, 0x0, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3da81 <_PyEval_EvalFrameDefault+15905>, 0x7f3bedf3e9e8 <_PyEval_EvalFrameDefault+19848>, 0x7f3bedf3e729 <_PyEval_EvalFrameDefault+19145>, 0x7f3bedf3e0c2 <_PyEval_EvalFrameDefault+17506>, 0x7f3bedf40274 <_PyEval_EvalFrameDefault+26132>, 0x7f3bedf41587 <_PyEval_EvalFrameDefault+31015>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea3183 <PyConfig_Read-1179229>, 0x7f3bedf41b2b <parsetok+1371>, 0x7f3bedf3f492 <_PyEval_EvalFrameDefault+22578>, 0x7f3bedf3f949 <_PyEval_EvalFrameDefault+23785>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf414fa <_PyEval_EvalFrameDefault+30874>, 0x7f3bedf40e91 <_PyEval_EvalFrameDefault+29233>, 0x7f3bedf40361 <_PyEval_EvalFrameDefault+26369>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3e66a <_PyEval_EvalFrameDefault+18954>, 0x7f3bedf3e020 <_PyEval_EvalFrameDefault+17344>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3eeb1 <_PyEval_EvalFrameDefault+21073>, 0x7f3bedf3dda5 <_PyEval_EvalFrameDefault+16709>, 0x7f3bedf3de59 <_PyEval_EvalFrameDefault+16889>, 0x7f3bedf3dbbb <_PyEval_EvalFrameDefault+16219>, 0x7f3bedf3f1a5 <_PyEval_EvalFrameDefault+21829>, 0x7f3bedf3e86e <_PyEval_EvalFrameDefault+19470>, 0x7f3bedf3fdba <_PyEval_EvalFrameDefault+24922>, 0x7f3bedf41a84 <parsetok+1204>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14> <repeats 20 times>, 0x7f3bedea30c6 <PyConfig_Read-1179418>, 0x7f3bedea3741 <PyConfig_Read-1177759>, 0x7f3bedea365d <PyConfig_Read-1177987>, 0x7f3bedf3f24f <_PyEval_EvalFrameDefault+21999>, 0x7f3bedea4aa4 <PyParser_SimpleParseStringFlags+62>, 0x7f3bedf3e532 <_PyEval_EvalFrameDefault+18642>, 0x7f3bedf3ff0f <_PyEval_EvalFrameDefault+25263>, 0x7f3bedf4010c <_PyEval_EvalFrameDefault+25772>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf40853 <_PyEval_EvalFrameDefault+27635>, 0x7f3bedf3e16a <_PyEval_EvalFrameDefault+17674>, 0x7f3bedf3fba3 <_PyEval_EvalFrameDefault+24387>, 0x7f3bedf3f5c7 <_PyEval_EvalFrameDefault+22887>, 0x7f3bedf3ed00 <_PyEval_EvalFrameDefault+20640>, 0x7f3bedf3e948 <_PyEval_EvalFrameDefault+19688>, 0x7f3bedf3ffb8 <_PyEval_EvalFrameDefault+25432>, 0x7f3bedf3f514 <_PyEval_EvalFrameDefault+22708>, 0x7f3bedf407a2 <_PyEval_EvalFrameDefault+27458>, 0x7f3bedf3e788 <_PyEval_EvalFrameDefault+19240>, 0x7f3bedf40408 <_PyEval_EvalFrameDefault+26536>, 0x7f3bedf40b68 <_PyEval_EvalFrameDefault+28424>, 0x7f3bedf40d6e <_PyEval_EvalFrameDefault+28942>, 0x7f3bedf3e350 <_PyEval_EvalFrameDefault+18160>, 0x7f3bedf411df <_PyEval_EvalFrameDefault+30079>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3ef67 <_PyEval_EvalFrameDefault+21255>, 0x7f3bedf408fc <_PyEval_EvalFrameDefault+27804>, 0x7f3bedf40c1c <_PyEval_EvalFrameDefault+28604>, 0x7f3bedf3fe63 <_PyEval_EvalFrameDefault+25091>, 0x7f3bedf40cc7 <_PyEval_EvalFrameDefault+28775>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3fa5a <_PyEval_EvalFrameDefault+24058>, 0x7f3bedf40a4f <_PyEval_EvalFrameDefault+28143>, 0x7f3bedf3d937 <_PyEval_EvalFrameDefault+15575>, 0x7f3bedf41691 <parsetok+193>, 0x7f3bedf4110a <_PyEval_EvalFrameDefault+29866>, 0x7f3bedf3e926 <_PyEval_EvalFrameDefault+19654>, 0x7f3bedf3e80c <_PyEval_EvalFrameDefault+19372>, 0x7f3bedf3f671 <_PyEval_EvalFrameDefault+23057>, 0x7f3bedf3f741 <_PyEval_EvalFrameDefault+23265>, 0x7f3bedf4005f <_PyEval_EvalFrameDefault+25599>, 0x7f3bedf402d7 <_PyEval_EvalFrameDefault+26231>, 0x7f3bedf3defd <_PyEval_EvalFrameDefault+17053>, 0x7f3bedf3d9f2 <_PyEval_EvalFrameDefault+15762>, 0x7f3bedf409a3 <_PyEval_EvalFrameDefault+27971>, 0x7f3bedf3dcf9 <_PyEval_EvalFrameDefault+16537>, 0x7f3bedf3f401 <_PyEval_EvalFrameDefault+22433>, 0x7f3bedf40dfd <_PyEval_EvalFrameDefault+29085>, 0x7f3bedea3e91 <PyConfig_Read-1175887>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3d19a <_PyEval_EvalFrameDefault+13626>, 0x7f3bedf3f81c <_PyEval_EvalFrameDefault+23484>, 0x7f3bedf3e420 <_PyEval_EvalFrameDefault+18368>, 0x7f3bedf3ec73 <_PyEval_EvalFrameDefault+20499>, 0x7f3bedf41983 <parsetok+947>, 0x7f3bedf3ead2 <_PyEval_EvalFrameDefault+20082>, 0x7f3bedf3d8a8 <_PyEval_EvalFrameDefault+15432>, 0x7f3bedf3d4e3 <_PyEval_EvalFrameDefault+14467>, 0x7f3bedf40480 <_PyEval_EvalFrameDefault+26656>, 0x7f3bedf415f0 <parsetok+32>, 0x7f3bedf3e11a <_PyEval_EvalFrameDefault+17594>, 0x7f3bedf3ee48 <_PyEval_EvalFrameDefault+20968>, 0x7f3bedf3f104 <_PyEval_EvalFrameDefault+21668>, 0x7f3bedf3db5a <_PyEval_EvalFrameDefault+16122>, 0x7f3bedf3d464 <_PyEval_EvalFrameDefault+14340>, 0x7f3bedf3dadb <_PyEval_EvalFrameDefault+15995>, 0x7f3bedf3d26c <_PyEval_EvalFrameDefault+13836>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3e5e6 <_PyEval_EvalFrameDefault+18822>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3d12e <_PyEval_EvalFrameDefault+13518>, 0x7f3bedf3d1fa <_PyEval_EvalFrameDefault+13722>, 0x7f3bedf41ce8 <PyParser_ParseStringObject+168>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf405ab <_PyEval_EvalFrameDefault+26955>, 0x7f3bedf3d35a <_PyEval_EvalFrameDefault+14074>, 0x7f3bedf3f011 <_PyEval_EvalFrameDefault+21425>, 0x7f3bedf3eb98 <_PyEval_EvalFrameDefault+20280>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3f6ce <_PyEval_EvalFrameDefault+23150>, 0x7f3bedf3dc79 <_PyEval_EvalFrameDefault+16409>, 0x7f3bedf3f9de <_PyEval_EvalFrameDefault+23934>, 0x7f3bedf41a01 <parsetok+1073>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3e227 <_PyEval_EvalFrameDefault+17863>, 0x7f3bedf3f2a4 <_PyEval_EvalFrameDefault+22084>, 0x7f3bedf3fc49 <_PyEval_EvalFrameDefault+24553>, 0x7f3bedf3dc5d <_PyEval_EvalFrameDefault+16381>, 0x7f3bedf3ea3f <_PyEval_EvalFrameDefault+19935>, 0x7f3bedf3edaa <_PyEval_EvalFrameDefault+20810>, 0x7f3bedf4186b <parsetok+667>, 0x7f3bedf41bad <parsetok+1501>, 0x7f3bedf4071d <_PyEval_EvalFrameDefault+27325>, 0x7f3bedf4128e <_PyEval_EvalFrameDefault+30254>, 0x7f3bedf41919 <parsetok+841>, 0x7f3bedf4071d <_PyEval_EvalFrameDefault+27325>, 0x7f3bedf41c88 <PyParser_ParseStringObject+72>, 0x7f3bedea4e9d <symtable_add_def_helper-642995>, 0x7f3bedf401b3 <_PyEval_EvalFrameDefault+25939>, 0x7f3bedf412f3 <_PyEval_EvalFrameDefault+30355>, 0x7f3bedf40f44 <_PyEval_EvalFrameDefault+29412>, 0x7f3bedf41105 <_PyEval_EvalFrameDefault+29861>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14>, 0x7f3bedf3d6d0 <_PyEval_EvalFrameDefault+14960>, 0x7f3bedf3d782 <_PyEval_EvalFrameDefault+15138>, 0x7f3bedf3f8c6 <_PyEval_EvalFrameDefault+23654>, 0x7f3bedf40af7 <_PyEval_EvalFrameDefault+28311>, 0x7f3bedea44cc <PyErr_WarnExplicitFormat+14> <repeats 88 times>}
        PyId_displayhook = {next = 0x0, string = 0x7f3bedfdbbb2 "pper", object = 0x0}
        PyId_send = {next = 0x0, string = 0x7f3bedfe0c00 "ounding mode", object = 0x0}
        PyId___build_class__ = {next = 0x7f3bee0e48c0 <frame_methods>, string = 0x7f3bedfdfdb7 "ocal", object = '__build_class__'}
        PyId___annotations__ = {next = 0x0, string = 0x7f3bedfdbabc "urce", object = 0x0}
        PyId___aexit__ = {next = 0x0, string = 0x7f3bedfdfdad "lobal", object = 0x0}
        PyId___aenter__ = {next = 0x0, string = 0x7f3bedfdfda2 "", object = 0x0}
        PyId___enter__ = {next = 0x7f3bee0d63a0 <PyId__find_and_load.17531>, string = 0x7f3bedfdd26e "ffer_size", object = '__enter__'}
        PyId___exit__ = {next = 0x7f3bee0db6a0 <PyId___enter__.17432>, string = 0x7f3bedfdd278 "_io.BufferedRWPair", object = '__exit__'}
#19 0x00007f3beded9027 in overrides_hash (type=<optimized out>) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Objects/typeobject.c:5026
        dict = <e at remote 0x7f3bdce55e40>
        basebase = <optimized out>
        b = <found at remote 0x7f3bdd13fc40>
        dict = <optimized out>
        bases = <e at remote 0x7f3bdce55e40>
        base = <optimized out>
        i = 94900843889552
        n = 3
#20 inherit_slots (base=0x7f3bdd13fc40, type=0x1) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Objects/typeobject.c:5177
        basebase = <optimized out>
        b = <found at remote 0x7f3bdd13fc40>
        dict = <optimized out>
        bases = <e at remote 0x7f3bdce55e40>
        base = <optimized out>
        i = 94900843889552
        n = 3
#21 PyType_Ready (type=0x1) at /usr/src/debug/python3-3.8.0~rc1-1.fc32.x86_64/Objects/typeobject.c:5352
        b = <found at remote 0x7f3bdd13fc40>
        dict = <optimized out>
        bases = <e at remote 0x7f3bdce55e40>
        base = <optimized out>
        i = 94900843889552
        n = 3
#22 0x00007f3bee0ff2e0 in PyBool_Type () at /lib64/libpython3.8.so.1.0
#23 0x00007f3bdce55fa8 in  ()
#24 0x0000000000000001 in  ()
#25 0x00007f3bdd2238c0 in  ()
#26 0x0000000000000000 in  ()
(gdb) 
(gdb) 
(gdb) 
(gdb) q

Comment 7 Mikhail 2019-10-07 15:31:29 UTC
Created attachment 1623196 [details]
all dnf output in the console

The issue happened now again.

Comment 8 Mikhail 2019-10-07 15:36:07 UTC
Created attachment 1623208 [details]
dnf.log

Comment 9 Mikhail 2019-10-07 15:36:37 UTC
Created attachment 1623209 [details]
dnf.rpm.log

Comment 10 Mikhail 2019-10-07 15:37:05 UTC
Created attachment 1623210 [details]
hawkey.log

Comment 11 Lukáš Hrázký 2019-10-07 15:58:02 UTC
Thanks, Mikhail, we've reproduced this, so no need to send more info. A fix will be landing soon.

Comment 12 Lukáš Hrázký 2019-10-08 11:11:11 UTC
*** Bug 1758850 has been marked as a duplicate of this bug. ***

Comment 13 Lukáš Hrázký 2019-10-08 11:15:49 UTC
The problem is with libdnf now correctly closing the log files that are open when a new Sack is created. However, it does not unregister the log handlers, that end up with invalid pointers to files that have been closed.

The problem has been introduced in libdnf-0.35.5, so reverting to libdnf-0.35.3 should bet a temporary solution until we fix it.

Comment 14 Lukáš Hrázký 2019-10-08 12:24:28 UTC
PR: https://github.com/rpm-software-management/libdnf/pull/809

Comment 15 Mikhail 2019-10-10 04:14:03 UTC
Created attachment 1624161 [details]
# PYTHONMALLOC=malloc valgrind /usr/bin/python3 /usr/bin/dnf-3 upgrade --refresh -v --exclude=mutter

Comment 16 Mikhail 2019-10-11 09:11:17 UTC
Created attachment 1624644 [details]
# PYTHONMALLOC=malloc valgrind /usr/bin/python3 /usr/bin/dnf-3 upgrade --refresh -v

Comment 17 Jaroslav Rohel 2019-10-16 06:18:52 UTC
*** Bug 1762126 has been marked as a duplicate of this bug. ***

Comment 18 Ian Wienand 2019-10-21 20:59:51 UTC
Hi, any updates on when fixes might make it to F30 (c.f. bug 1761282)?  We have some CI that runs so I'm unsure if I should switch it to using the copr repos for a while, or just make it non-voting for a short period while updates are made.

Comment 19 Lukáš Hrázký 2019-10-22 10:21:30 UTC
Hi Ian, it should be released today. Sorry about the delay.

Comment 20 Fedora Update System 2019-10-22 11:47:58 UTC
FEDORA-2019-0519bdd8af has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-0519bdd8af

Comment 21 Lukáš Hrázký 2019-10-23 08:37:58 UTC
*** Bug 1761282 has been marked as a duplicate of this bug. ***

Comment 22 Lukáš Hrázký 2019-10-23 08:39:21 UTC
*** Bug 1759204 has been marked as a duplicate of this bug. ***

Comment 23 Fedora Update System 2019-10-24 12:46:21 UTC
FEDORA-2019-2368fc415f has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-2368fc415f

Comment 24 Fedora Update System 2019-10-25 19:34:38 UTC
PackageKit-1.1.12-6.fc30, libdnf-0.35.5-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-2368fc415f

Comment 25 Fedora Update System 2019-10-27 01:09:23 UTC
PackageKit-1.1.12-6.fc30, libdnf-0.35.5-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 26 Lukáš Hrázký 2019-10-31 07:42:24 UTC
*** Bug 1765718 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.